@import url('https://fonts.googleapis.com/css2?family=Outfit:wght@100..900&display=swap');

body {
    font-family: 'Outfit', sans-serif;
}

h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6 {
    /* enter font family for headings */
    font-family: 'Outfit', sans-serif!important;
}
h6, .h6 {
    text-transform: none !important;
    font-size: 14px !important;
}
/* Style all buttons */
button,
.button,
.btn,
.btn-primary,
.btns-block a,
.btns-block .btn,
.mag-page-banner-button,
a.mag-page-banner-button,
a.mng-sys-link.btn-primary {
    /* background-color: #000000 !important; */
    /* color: #FFFFFF !important; */
    /* font-weight: 600 !important; */
    /* border: none !important; */
    /* border-radius: 100px !important; */
    /* padding: 12px 28px !important; */
    cursor: pointer;
    padding: 8px 24px;
    font-size: 15px;
    font-weight: 500;
    border-radius: 32px;
}
/* Hover and focus states - no change */
button:hover,
.button:hover,
.btn:hover,
.btn-primary:hover,
.btns-block a:hover,
.mag-page-banner-button:hover,
a.mag-page-banner-button:hover,
button:focus,
.button:focus,
.btn:focus,
.btn-primary:focus,
.mag-page-banner-button:focus {
    /* background-color: #000000 !important; */
    /* color: #FFFFFF !important;
    border: none !important; */
}
/* make calendar buttons match field height */
.input-group-addon button {
    padding: 5px 14px !important;
}

.course-card .caption .text-responsive {
    white-space: normal;
    text-overflow: clip;
    overflow: visible;
    min-height: 2.5rem;
}

.coursesSwiper .courses-tileview-items .thumbnail .desc {
    display: none!important;
}

.site-page-header {
    border-bottom: 1px solid var(--mag-nav-bg-color);
}

/* Login */
body.account .siteBodyWrapper {
    background: #1a1a1a;
}
body.account .login-extras label {
    font-weight: normal;
}
body.account .login-extras input[type=checkbox],
body.account .login-extras input[type=radio] {
    margin: 0;
}
body.account .main-content {
    justify-content: center;
    align-items: center;
}
body.account .left-column {
    max-width: 386px;
}
.login-section h2 {
    font-size: 24px;
}
.signup-btn {
    background: transparent;
    color: #fff;
}

/* Home */
.mag-tile-card {
    background: white!important;
    border-radius: 16px;
    border: 2px solid #8DB9ED!important;
}
.tiles-container .round-icon,
.tile-custom-icon {
    width: 40px!important;
    height: 40px!important;
}
.tile-header {
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 56px;
    margin-block: 0 !important;
}
.mag-courses-list .coursesSwiper .courses-tileview-items .lms-thumbnail-title {
    font-size: 18px!important;
    line-height: 1.1!important;
}
.course-card .caption .text-responsive {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
    border-bottom: none !important;
    height: 3.5rem;
    white-space: normal;
    
}
.course-card .caption .desc {
    display: none!important;
}
.mag-collaterals-wrapper .asset-placeholder .asset-title {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    word-break: break-word;
    border-bottom: none !important;
    height: 3.5rem;
    white-space: normal;
}
.mag-collaterals-wrapper .asset-footer .asset-actions {
    min-height: 40px;
}
.page-component-container .swiper {
    padding-top: 24px!important;
}
.components-container .page-component-container:first-of-type {
    margin-bottom: 0!important;
}
.components-container .page-component-container:first-of-type h2 {
    margin-bottom: 24px!important;
}


/* VAR Deal summary */
.summary-tile-body h6 {
    max-width: 100%!important;
}

/* Buttons */
.btn-default,
.btn-light {
    border-radius: 32px;
    border: 1px solid #D8D8D8;
    background: #F0F0F0;
    color: #000
}
.btn-primary,
.mag_layout_button_New_MDF {
    border-radius: 32px;
    border: 1px solid #1B74DA;
    background: #1B74DA;
    color: #fff;
}

/* Training */
.nav-pills>li.active>a,
.nav-pills>li.active>a:focus,
.nav-pills>li.active>a:hover {
    background-color: #1B74DA;
    color: #fff;
}
.bg-primary {
    color: #000;
    background-color: #E8F2FC;
}
.nav-tabs>li {
    padding-bottom: 16px;
}
.mag-tab-underline .nav-tabs>li>a::after {
    bottom: -18px;
}

/* Resources */
.alert.alert-light,
.badge.badge-light {
    border-radius: 24px;
    background: #E8F2FC;
    color: #000;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
    padding: 2px 10px;
}
.std-v-padding {
    padding-block: 8px;
}

/* Events */
.events-container {
    padding-inline: 15px
}
.mag-events-list .event-date {
    height: auto!important;
    width: fit-content!important;
    text-align: center;
    text-transform: uppercase;
    padding: 4px 8px;
    display: flex;
    gap: 4px;
    align-items: center;
    justify-content: center;
}
.mag-events-list .event-date .event-date-month {
    font-size: 14px;
    padding-top: 0;
}
.mag-events-list .event-date br {
    display: none;
}

/* MDF */
.pkl-val {
    text-align: center;
}
.table td.numCol,
.table th.numCol { 
    text-align: start;
}
.btn-table {
    padding: 8px 24px!important;
}
/* MDF Bug - Body has class "account", but should have "money" */
/* body.money .siteBodyWrapper {
    background: #1a1a1a;
}
body.account .thContents,
body.money .thContents {
    color: #fff;
} */

body.money .text-muted a {
    color: #1b78e0;
}

/* END MDF BUG */

/* Register a Deal */
.form-group .form-control {
    background: #fff;
}
.form-control {
    border-radius: 8px;
}
.sectionBody .input-required {
    border-left: 3px solid #1B74DA!important;
}
.sectionBody input.input-validation-error,
.sectionBody select.input-validation-error,
.sectionBody textarea.input-validation-error {
    border-left: 3px solid #d74c3b !important;
}
.tabPanel .sectionHeader .disabled {
    display: none;
}

/* Navbar */
.navbar-nav a[href^="/force/force__lead/form/"] {
    opacity: 1!important;
}

.navbar-nav a[href^="/force/force__lead/form/"] div {
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
    height: 32px;
    color: #fff;
    border: 2px solid #ffc700;
    border-radius: 20px;
    padding: 0 15px;
    transition: .5s ease;
}

.navbar-nav a[href^="/force/force__lead/form/"] div:hover {
    transform: scale(1.05);
}
